package net.lucamasini.testcase.server.mock;

import net.lucamasini.testcase.server.producers.BarUtente;
import net.lucamasini.testcase.shared.dto.DatiUtente;
import net.lucamasini.testcase.shared.entity.Bar;

import javax.enterprise.context.RequestScoped;
import javax.enterprise.inject.Produces;

public class FakeProducersToInstall {

    @Produces
    @BarUtente
    @RequestScoped
    public Bar barUtente() {

        final DatiUtente datiUtente = new DatiUtente();

        return Bar.builder()
                .societa(datiUtente.getUserParameters().get(DatiUtente.SOCIETA))
                .numero(489L)
                .id(datiUtente.getIdBar()).build();
    }

}
