package net.lucamasini.testcase.shared.dto;

public interface ActionStati {
    default void consegnato(StatoOrdine.OrdineContestoStato context) {}
    default void consegnatoForzato(StatoOrdine.OrdineContestoStato context) {}
    default void evasoConvenzione(StatoOrdine.OrdineContestoStato context) {}
    default void piattiInPreparazione(StatoOrdine.OrdineContestoStato context) {}
    default void aperto(StatoOrdine.OrdineContestoStato context) {}
    default void inCarico(StatoPiattoOrdinato.PiattoOrdinatoContestoStato context) {}

    default void sospeso(StatoOrdine.OrdineContestoStato context) {}
    void cancellato(StatoOrdine.OrdineContestoStato context);
    void cancellato(StatoPiattoOrdinato.PiattoOrdinatoContestoStato context);
    void nonRitirato(StatoOrdine.OrdineContestoStato context);
    void inConsegna(StatoOrdine.OrdineContestoStato context);
    void evaso(StatoOrdine.OrdineContestoStato context);
    void evaso(StatoPiattoOrdinato.PiattoOrdinatoContestoStato context);
    void bevandeInPreparazione(StatoOrdine.OrdineContestoStato context);
    void chiuso(StatoOrdine.OrdineContestoStato context);
    void scartato(StatoOrdine.OrdineContestoStato context);
    void scartato(StatoPiattoOrdinato.PiattoOrdinatoContestoStato context);
    void pronto(StatoPiattoOrdinato.PiattoOrdinatoContestoStato context);
    void pronto(StatoOrdine.OrdineContestoStato context);

    boolean isCancellazioneAllowed(StatoOrdine.OrdineContestoStato context);
    boolean isBevandeInPreparazioneAllowed(StatoOrdine.OrdineContestoStato context);
}
