package net.lucamasini.testcase.shared.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.jboss.errai.common.client.api.annotations.Portable;

import javax.persistence.*;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Portable
@Entity
@Table(name = "CONFIGURAZIONE")
@NamedQueries({
        @NamedQuery(name = "Configurazione.findConfigurazioneById", query = "select distinct a from Configurazione a where a.id = :id "),

})
public class Configurazione {

    @Id
    String id;
    String valore;

}
