package net.lucamasini.testcase.shared.entity;


import lombok.*;
import org.jboss.errai.common.client.api.annotations.Portable;

import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;

@Embeddable
@Portable
@Getter
@Setter
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
public class Menu {

    @NotNull
    String uuid;
    @NotNull
    String ean;
    @NotNull
    String nome;

}
