package net.lucamasini.testcase.shared.entity;

import lombok.*;
import org.jboss.errai.common.client.api.annotations.Portable;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.io.Serializable;


@Getter
@Embeddable
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Portable
@EqualsAndHashCode
public class MonitorPostazionePK implements Serializable {
    @Column(name = "ID_BAR")
    String idBar;

    @Column(name = "ID_MONITOR")
    Long idMonitor;

    @Column(name = "SOTTOPREPARAZIONE")
    String sottoPreparazione;
}
