package net.lucamasini.testcase.shared.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.jboss.errai.common.client.api.annotations.Portable;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Portable
@AllArgsConstructor
@NoArgsConstructor
@Data
public class PaginatedSearchResultWithLastModified<T> {

    private long size;
    private List<T> items = new ArrayList<>();
    private Date lastModified;

    public boolean areItemsNotNullOrEmpty(){
        return items != null && !items.isEmpty();
    }
}
